<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/leftGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_begin="?attr/screenMargin" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/rightGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_end="?attr/screenMargin" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/include_top_appbar_sub" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title"
            style="@style/Styles.Text.LargeTitle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="start|center"
            android:gravity="start|center"
            android:text="@string/whats_your_email"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/onboardingEmailDesc"
            style="@style/Styles.Text.Body"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="16dp"
            android:text="@string/check_account_subtitle"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/title" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/inputLayoutEmail"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:hint="@string/email_address"
            app:endIconMode="clear_text"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/onboardingEmailDesc">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputEmail"
                style="@style/Styles.Input.TextInputEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:imeOptions="actionGo"
                android:inputType="textEmailAddress"
                android:maxLines="1"
                tools:text="johndoe@appetiser.com.au">

                <requestFocus />
            </com.google.android.material.textfield.TextInputEditText>
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btnContinue"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginBottom="16dp"
            android:enabled="false"
            tools:enabled="true"
            android:text="@string/continue_string"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>